ProjectProject_env
Updates project-level fields and/or environments.
- Use the top-level
name,description,metadatafields to update the project. - Use
singleEnvto create or update the environment identified byproject_env. - Use
envsarray to create, update, or delete multiple environments in one call (setdelete: trueon individual env items to remove them,forceDelete: trueto bypass the active-clients check).
x-api-key<token>
HMAC-SHA256 signed key produced by the apikee engine.
Format: <base62-id>.<base62-claims>.<base62-hmac>
The first 12 characters are the keyPrefix (safe for logging).
In: header
Path Parameters
project_env*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://apikee.dev/api/v1/project/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated Application", "singleEnv": { "type": "production", "url": "https://api.myapp.com" } }'{
"id": "string",
"slug": "string",
"name": "string",
"description": "string",
"metadata": {},
"team": {
"id": "string",
"name": "string",
"members": {
"count": null,
"max": null,
"list": [
null
]
},
"credentials": {
"count": null,
"list": [
null
]
}
},
"createdAt": "2019-08-24T14:15:22Z",
"envs": {
"count": 0,
"max": 0,
"list": [
{
"project_env": "string",
"type": "string",
"url": "http://example.com",
"version": "string",
"status": "string",
"metadata": {},
"templates": {
"count": null,
"list": [
null
]
},
"clients": {
"count": null,
"max": null
},
"endpoints": {
"count": null,
"max": null
},
"rateLimits": {
"hour": {
"count": null,
"max": null
},
"day": {
"count": null,
"max": null
},
"week": {
"count": null,
"max": null
},
"month": {
"count": null,
"max": null
}
}
}
]
},
"env": {
"project_env": "string",
"type": "string",
"url": "http://example.com",
"version": "string",
"status": "string",
"metadata": {},
"templates": {
"count": null,
"list": [
null
]
},
"clients": {
"count": null,
"max": null
},
"endpoints": {
"count": null,
"max": null
},
"rateLimits": {
"hour": {
"count": null,
"max": null
},
"day": {
"count": null,
"max": null
},
"week": {
"count": null,
"max": null
},
"month": {
"count": null,
"max": null
}
}
}
}